  CREATE TABLE "T_CATEGORIA" 
   (	"ID_CATEGORIA" NUMBER(10,0) NOT NULL ENABLE, 
	"DESCRIPCION" VARCHAR2(50) NOT NULL ENABLE,
	 CONSTRAINT "PK_CATEGORIA" PRIMARY KEY ("ID_CATEGORIA")
   )  ;
   
  CREATE TABLE "T_DERECHO_AFECTADO" 
   (	"ID_DERECHO_AFECTADO" NUMBER(10,0) NOT NULL ENABLE, 
	"DESCRIPCION" VARCHAR2(50) NOT NULL ENABLE,
	 CONSTRAINT "PK_DERECHO_AFECTADO" PRIMARY KEY ("ID_DERECHO_AFECTADO")
   )  ;   
   
  CREATE TABLE "T_DERIVADOR" 
   (	"ID_DERIVADOR" NUMBER(10,0) NOT NULL ENABLE, 
	"DESCRIPCION" VARCHAR2(50) NOT NULL ENABLE,
	 CONSTRAINT "PK_DERIVADOR" PRIMARY KEY ("ID_DERIVADOR")
   )  ;  
  
  CREATE TABLE "T_MOTIVO_INTERVENCION" 
   (	"ID_MOTIVO_INTERVENCION" NUMBER(10,0) NOT NULL ENABLE, 
   "ID_DERECHO_AFECTADO" NUMBER(10,0) NOT NULL ENABLE, 
	"DESCRIPCION" VARCHAR2(50) NOT NULL ENABLE,
  "FECHA_ALTA" DATE,
  "ID_USUARIO_ALTA" NUMBER(10,0),
  "FECHA_MODIFICACION" DATE,
  "ID_USUARIO_MODIF" NUMBER(10,0),
  "ACTIVO" NUMBER(1,0),
	 CONSTRAINT "PK_MOTIVO_INTERVENCION" PRIMARY KEY ("ID_MOTIVO_INTERVENCION"),
   CONSTRAINT "FK_MOT_INTERV_DERECHO_A" FOREIGN KEY ("ID_DERECHO_AFECTADO") REFERENCES "T_DERECHO_AFECTADO" ("ID_DERECHO_AFECTADO"),   
   CONSTRAINT "FK_MOT_INT_USU_ALTA" FOREIGN KEY ("ID_USUARIO_ALTA") REFERENCES "T_USUARIO" ("ID_USUARIO"),
   CONSTRAINT "FK_MOT_INT_USU_MODIF" FOREIGN KEY ("ID_USUARIO_MODIF") REFERENCES "T_USUARIO" ("ID_USUARIO")
   )  ;  
   
  CREATE TABLE "T_CATEGO_TIPO_INTERV" 
   (	"ID_CATEGO_TIPO_INTERV" NUMBER(10,0) NOT NULL ENABLE,     
	"DESCRIPCION" VARCHAR2(50) NOT NULL ENABLE,
	 CONSTRAINT "PK_CATEGO_TIPO_INTERV" PRIMARY KEY ("ID_CATEGO_TIPO_INTERV")
   )  ;  
   
  CREATE TABLE "T_TIPO_INTERVENCION" 
   (	"ID_TIPO_INTERVENCION" NUMBER(10,0) NOT NULL ENABLE,
   "ID_CATEGO_TIPO_INTERV" NUMBER(10,0) NOT NULL ENABLE,   
	"DESCRIPCION" VARCHAR2(50) NOT NULL ENABLE,
  "FECHA_ALTA" DATE,
  "ID_USUARIO_ALTA" NUMBER(10,0),
  "FECHA_MODIFICACION" DATE,
  "ID_USUARIO_MODIF" NUMBER(10,0),
  "ACTIVO" NUMBER(1,0),
	"TIPO_CIRCUITO" VARCHAR2(3 BYTE),
	"TEMPLATE" CLOB,
	 CONSTRAINT "PK_TIPO_INTERVENCION" PRIMARY KEY ("ID_TIPO_INTERVENCION"),
   CONSTRAINT "FK_TPO_INT_CAT_TIPO_INT" FOREIGN KEY ("ID_CATEGO_TIPO_INTERV") REFERENCES "T_CATEGO_TIPO_INTERV" ("ID_CATEGO_TIPO_INTERV"),
   CONSTRAINT "FK_TPO_INT_USU_ALTA" FOREIGN KEY ("ID_USUARIO_ALTA") REFERENCES "T_USUARIO" ("ID_USUARIO"),
   CONSTRAINT "FK_TPO_INT_USU_MODIF" FOREIGN KEY ("ID_USUARIO_MODIF") REFERENCES "T_USUARIO" ("ID_USUARIO")
   )  ;  
   
/   
Insert into T_DERIVADOR (ID_DERIVADOR,DESCRIPCION) values ('1','Poder Judicial');
Insert into T_DERIVADOR (ID_DERIVADOR,DESCRIPCION) values ('2','Salud');
Insert into T_DERIVADOR (ID_DERIVADOR,DESCRIPCION) values ('3','Encuentro espontaneo');
Insert into T_DERIVADOR (ID_DERIVADOR,DESCRIPCION) values ('4','CPA');
Insert into T_DERIVADOR (ID_DERIVADOR,DESCRIPCION) values ('5','ONG');
Insert into T_DERIVADOR (ID_DERIVADOR,DESCRIPCION) values ('6','Municipio');
Insert into T_DERIVADOR (ID_DERIVADOR,DESCRIPCION) values ('7','Programa Municipal');
Insert into T_DERIVADOR (ID_DERIVADOR,DESCRIPCION) values ('8','Programa de la calle');

Insert into T_DERECHO_AFECTADO (ID_DERECHO_AFECTADO,DESCRIPCION) values ('1','A la educacion');
Insert into T_DERECHO_AFECTADO (ID_DERECHO_AFECTADO,DESCRIPCION) values ('2','A la alimentacion');
Insert into T_DERECHO_AFECTADO (ID_DERECHO_AFECTADO,DESCRIPCION) values ('3','A la proteccion');
Insert into T_DERECHO_AFECTADO (ID_DERECHO_AFECTADO,DESCRIPCION) values ('4','A la salud');

Insert into T_CATEGO_TIPO_INTERV (ID_CATEGO_TIPO_INTERV,DESCRIPCION) values ('1','Actas');
Insert into T_CATEGO_TIPO_INTERV (ID_CATEGO_TIPO_INTERV,DESCRIPCION) values ('2','Orientacion');
Insert into T_CATEGO_TIPO_INTERV (ID_CATEGO_TIPO_INTERV,DESCRIPCION) values ('3','Entrevistas');
Insert into T_CATEGO_TIPO_INTERV (ID_CATEGO_TIPO_INTERV,DESCRIPCION) values ('4','Informes');
Insert into T_CATEGO_TIPO_INTERV (ID_CATEGO_TIPO_INTERV,DESCRIPCION) values ('5','Gestiones');
Insert into T_CATEGO_TIPO_INTERV (ID_CATEGO_TIPO_INTERV,DESCRIPCION) values ('6','Inclusion a programa');
Insert into T_CATEGO_TIPO_INTERV (ID_CATEGO_TIPO_INTERV,DESCRIPCION) values ('7','Solicita intervencion');
Insert into T_CATEGO_TIPO_INTERV (ID_CATEGO_TIPO_INTERV,DESCRIPCION) values ('8','Adop. Med. Proteccion');
Insert into T_CATEGO_TIPO_INTERV (ID_CATEGO_TIPO_INTERV,DESCRIPCION) values ('9','Adop. Med. Abrigo');

commit;